/*
  Created by guanghui on 4/8/14.
http://www.idevgames.com/forums/thread-3010.html
*/

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

uniform vec4 u_outlineColor;
//uniform float u_threshold;
//uniform float u_radius;


void main()
{	
	float offset = 0.001;
	float threshold = 0.5;
	vec4 outLineColor = u_outlineColor;
	
    vec4 c = texture2D(CC_Texture0, v_texCoord);
	vec2 v = vec2(v_texCoord.s+offset, v_texCoord.t);
	vec4 c1 = texture2D(CC_Texture0, v);
	
	v = vec2(v_texCoord.s-offset, v_texCoord.t);
	vec4 c2 = texture2D(CC_Texture0, v);
	
	v = vec2(v_texCoord.s, v_texCoord.t+offset);
	vec4 c3 = texture2D(CC_Texture0, v);
	
	v = vec2(v_texCoord.s, v_texCoord.t-offset);
	vec4 c4 = texture2D(CC_Texture0, v);
	
	if (c.a <= threshold && (c1.a > threshold || c2.a > threshold || c3.a > threshold || c4.a > threshold))
	{
		c = outLineColor;
	}
	gl_FragColor = c;
}

